from fuel.datasets.toy import Spiral

ds = Spiral(classes=3)
features, position, label = ds.get_data(None, slice(0, 500))

plt.title("Datapoints drawn from Spiral(classes=3)")
for l, m in enumerate(['o', '^', 'v']):
    mask = label == l
    plt.scatter(features[mask,0], features[mask,1],
                c=position[mask], marker=m, label="label==%d"%l)
plt.xlim(-1.2, 1.2)
plt.ylim(-1.2, 1.2)
plt.legend()
plt.colorbar()
plt.xlabel("features[:,0]")
plt.ylabel("features[:,1]")
plt.show()